# README #

These are the files you need to run a Brooks Go Model simulation of an Antibody in [LAMMPS](http://lammps.sandia.gov)

### What are the different files? ###

`GO_1igt.in` The lammps input script you will mostly change this one

`GO_1igt.data` The lammps data file

`GO_1igt_native_contacts.mod`  This holds all the native contact assignments

`pair_lj_cut_eten.cpp` and `pair_lj_cut_eten.h` Implement the modified pair potential for GO models

`quick.sh` A supercomputer script. 
(If you are doing replica exchange, you need to make sure the number of partitions and processors are synced with what is in `GO_1igt.in`)

### How do I get set up on the supercomputer? ###

* Follow the standard steps to download LAMMPS (described on the LAMMPS website)
* Copy `pair_lj_cut_eten.cpp` and `pair_lj_cut_eten.h` into the `src/` directory in LAMMPS
* Copy `Makefile.mpi_go` into the `src/MAKE/` directory in LAMMPS
* Go to the `src/` directory in LAMMPS
* Type `make clean-all`
* Type `make -j 16 mpi_go`
* Copy the new lammps executable into your `~/bin` directory
* You may have to add your `~/bin` directory to your path.  If so:
* ---Use the command `export PATH=$PATH:$HOME/bin` to add it for this session
* ---Add the above line to `~/.bash_profile` so that it will add this folder to your path every time you log in (you may have to create `~/.bash_profile`)

## To run the simulation
* Copy `GO_1igt.in`, `GO_1igt.data`, `GO_1igt_native_contacts.mod` and `quick.sh` to a folder where you want to run the simulations
* type `sbatch quick.sh` to submit the simulation to run on the supercomputer

### Who do I talk to? ###

* If you need help you can email Anthony Gillespie at anthonycgillespie@gmail.com